classification
Title: Strange dot in documentation (after generator.close)
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: docs@python, ezio.melotti, georg.brandl, python-dev, rutsky, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-02-16 21:57 by rutsky, last changed 2014-09-05 20:50 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
docs_generator_class.patch serhiy.storchaka, 2014-02-23 16:52 review
Messages (4)
msg211364 - (view) Author: Vladimir Rutsky (rutsky) Date: 2014-02-16 21:57
In 3.4 docs after generator.close() description there is strange dot:
http://docs.python.org/3.4/reference/expressions.html#generator.close

Looks like it's due to following code in Doc/reference/expressions.rst:452:

.. class:: .

This line should be removed.
msg211996 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-02-23 14:52
Serhiy, you seem to have added that line (in #19190).  Was it a mistake or is it supposed to do something?
msg212005 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-02-23 16:52
It was supposed to reset current class. Perhaps correct way is to remove this directive (and other "class" directive above) at all.
msg226454 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-05 20:38
New changeset bc4e26755a13 by Serhiy Storchaka in branch '3.4':
Issue #20643: Removed unneeded (and wrong) class directives.
http://hg.python.org/cpython/rev/bc4e26755a13

New changeset 060e347c9a23 by Serhiy Storchaka in branch 'default':
Issue #20643: Removed unneeded (and wrong) class directives.
http://hg.python.org/cpython/rev/060e347c9a23

New changeset 6dba9db360d0 by Serhiy Storchaka in branch '2.7':
Issue #20643: Fixed references to the next() method (distinguish from the
http://hg.python.org/cpython/rev/6dba9db360d0
History
Date User Action Args
2014-09-05 20:50:58serhiy.storchakasetstatus: open -> closed
assignee: docs@python -> serhiy.storchaka
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.5, - Python 3.3
2014-09-05 20:38:33python-devsetnosy: + python-dev
messages: + msg226454
2014-02-23 16:52:29serhiy.storchakasetfiles: + docs_generator_class.patch

type: enhancement -> behavior
versions: + Python 2.7, Python 3.3
keywords: + patch
nosy: + georg.brandl

messages: + msg212005
stage: needs patch -> patch review
2014-02-23 14:52:04ezio.melottisetnosy: + serhiy.storchaka, ezio.melotti
messages: + msg211996

type: enhancement
stage: needs patch
2014-02-16 21:57:51rutskycreate